Kontact Touch/Harmattan

Revision as of 08:39, 1 February 2012 by FuzzyBot (Talk) (Updating to match new version of source page)

Jump to: navigation, search
Other languages:
català • ‎dansk • ‎English • ‎українська


There are some packages of Kontact Touch for MeeGo 1.2 Harmattan. This is the operating system of the Nokia N9 (and N950) smartphones.


To install the packages you have to switch your phone into developer mode, since the packages are not yet available in the Application Store (reachable via Settings -> Security -> Developer Mode). This will also install an ssh server on your device which makes the rest of the installation much more comfortable.

Configure SSH

This step is not really necessary since you can also do everything directly on the terminal of your device.

To connect to your ssh server you first have to set a password for the "user" account. To do that open the Terminal application and use devel-su to log in as root (default root password is rootme) and set the password for the user by calling passwd user. Now you are able to connect to your device as user and configure the OpenSSH server as usual.


Kontact Touch packages need the nokia development repositories and the files.kolab.org repo (which contains the packages) so that all dependencies can be installed. To enable them (as root):

echo "deb http://harmattan-dev.nokia.com/ harmattan/sdk free non-free
deb https://files.kolab.org/local/maemo/dists/harmattan ./" >> /etc/apt/sources.list.d/community.list

Installation with apt-get

To install the most recent version of Kontact Touch you can then call:

apt-get update
LANG=C apt-get install -o DPkg::Options::=--force-overwrite libgpg-error1 libgcrypt12 
LANG=C apt-get install kdepim-mobile
When using a non-English version of apt, the continue question still needs a y as an answer to move on.

If you get an error like:
https://downloads.maemo.nokia.com ./ libgmp3c2 2:4.3.2+dfsg-1+maemo5+0m6
The requested URL returned error: 404
You can get the the package here and install it manually with dpkg -i. The link to this package appears to be broken in the Nokia repository.

Known problems (Version 20120124)

The apt-get option -o DPkg::Options::=--force-overwrite is necessary to replace old versions of libgcrypt and libgpg-error on the phone. The packages can not be updated as they come from Nokia but they were not developed / optimized for mobile devices and Kontact also depends on functions that are not contained in those libraries. As the newer versions we provide are binary compatible the replace is harmless.

The Strigi daemon fails to start putting up an error message now and then and causing address completion and full text search not to work.

The icons might be just some strange red squares until you restart.

Additional Notes

When syncing an significant amount of data and you are not absolutely sure it will fit in your home directory, you must move the cache off the home directory partition to MyDocs! Otherwise an N9 defect might make your device unbootable and in need of reflashing.

If you want to sync an account that is larger then your home directory for complete offline use you can symlink the akonadi directory (/home/user/.local/share/akonadi) to somewhere where you have enough space available. MyDocs usually has more space available, see the following steps:

make sure that akonadi is disabled (akonadictl stop / akonadictl status)

As root do (Please check after each step if it worked correctly and not copy/paste everything):

cp -r /home/user/.local/share/akonadi /home/user/MyDocs/akonadi

Now as user

rm -rf /home/user/.local/share/akonadi
ln -s /home/user/MyDocs/akonadi /home/user/.local/share/akonadi
echo -e "[Connection]\nSocketDirectory=/home/user" >> /home/user/.config/akonadi/akonadiserverrc

The configuration change of the socket directory is necessary because MyDocs is by default a vfat that does not support akonadi's way of symlinking it's socket in the .local directory.

Make sure to check out the general Kontact Touch page, especially note the recommendation to use KWallet in the account setup section.

Content is available under Creative Commons License SA 4.0 unless otherwise noted.